unknown directive "aio" in Nginx 0.8.14

Igor Sysoev is at rambler-co.ru
Thu Sep 10 16:50:33 MSD 2009

On Thu, Sep 10, 2009 at 04:36:49PM +0400, Igor Sysoev wrote:

> > I am using CentOS 5.3 with libaio, libaio-devel installed. It seems that 
> > the kernel equipped with CentOS 5.3/Redhat ES 5.3 is too old to support 
> > this feature.
> nginx requires eventfd() support in AIO.

BTW, nginx does not requires libaio at all. It uses direct syscalls.

Igor Sysoev

More information about the nginx mailing list